using Pixiview.iOS.Renderers;
using Xamarin.Forms;
using Xamarin.Forms.Platform.iOS;

[assembly: ExportRenderer(typeof(Picker), typeof(OptionPickerRenderer))]
namespace Pixiview.iOS.Renderers
{
    public class OptionPickerRenderer : PickerRenderer
    {
        protected override void OnElementChanged(ElementChangedEventArgs<Picker> e)
        {
            base.OnElementChanged(e);

            var control = Control;
            if (control != null)
            {
                control.TextAlignment = UIKit.UITextAlignment.Right;
                control.BorderStyle = UIKit.UITextBorderStyle.None;
            }
        }
    }
}
